/**
 * Title:       ?
 * ClassName:   Company.java
 * Created:     January 27, 2010
 * Authors:     Catalin Dima, Anca David, Mihai Craita, Viorel Macesanu, Simona Duicu, Radu Cristian, Oancea Sorin
 * Contact:     dimacatalin@gmail.com, anca.david@gmail.com, heroinpain@yahoo.com, macesanuviorel@yahoo.com, simona.duicu@yahoo.com, indy2kro@yahoo.com, scapsa@yahoo.com
 *
 * Description: ?
 */
package asets.api;

/**
 *
 * @author Simona
 */
public class Company {
  private String inSymbol;
  private String inISIN;
  private double inNominalValue;
  private long inNoOfShares;
  private String inCompanyName;
  private String inFiscalCode;
  private String inRegistryCode;
  private String inAddressDetail;
  private String inLocality;
  private String inDistrict;
  private String inCountry;
  private String inPhone;
  private String inFax;
  private String inWeb;
  private String inEmail;
  private String inPresident;
  private String inCaen;
  private String inCaenDescription;
  private String inCaenRev2;
  private String inCaenRev2Description;
  private String inSegment;
  private String inTier;
  private String inStatus;

  public Company()
  {
      this.inSymbol = null;
      this.inISIN = null;
      this.inNominalValue = 0;
      this.inNoOfShares = 0;
      this.inCompanyName = null;
      this.inFiscalCode = null;
      this.inRegistryCode = null;
      this.inAddressDetail = null;
      this.inLocality = null;
      this.inDistrict = null;
      this.inCountry = null;
      this.inPhone = null;
      this.inFax = null;
      this.inWeb = null;
      this.inEmail = null;
      this.inPresident = null;
      this.inCaen = null;
      this.inCaenDescription = null;
      this.inCaenRev2 = null;
      this.inCaenRev2Description = null;
      this.inSegment = null;
      this.inTier = null;
      this.inStatus = null;
  }

  public Company(String s1,
                 String s2,
                 double s3,
                 int s4,
                 String s5,
                 String s6,
                 String s7,
                 String s8,
                 String s9,
                 String s10,
                 String s11,
                 String s12,
                 String s13,
                 String s14,
                 String s15,
                 String s16,
                 String s17,
                 String s18,
                 String s19,
                 String s20,
                 String s21,
                 String s22,
                 String s23)
  {
      this.inSymbol = s1;
      this.inISIN = s2;
      this.inNominalValue = s3;
      this.inNoOfShares = s4;
      this.inCompanyName = s5;
      this.inFiscalCode = s6;
      this.inRegistryCode = s7;
      this.inAddressDetail = s8;
      this.inLocality = s9;
      this.inDistrict = s10;
      this.inCountry = s11;
      this.inPhone = s12;
      this.inFax = s13;
      this.inWeb = s14;
      this.inEmail = s15;
      this.inPresident = s16;
      this.inCaen = s17;
      this.inCaenDescription = s18;
      this.inCaenRev2 = s19;
      this.inCaenRev2Description = s20;
      this.inSegment = s21;
      this.inTier = s22;
      this.inStatus = s23;
  }

    /**
     * @return the inSymbol
     */
    public String getInSymbol() {
        return inSymbol;
    }

    /**
     * @param inSymbol the inSymbol to set
     */
    public void setInSymbol(String inSymbol) {
        this.inSymbol = inSymbol;
    }

    /**
     * @return the inISIN
     */
    public String getInISIN() {
        return inISIN;
    }

    /**
     * @param inISIN the inISIN to set
     */
    public void setInISIN(String inISIN) {
        this.inISIN = inISIN;
    }

    /**
     * @return the inNominalValue
     */
    public double getInNominalValue() {
        return inNominalValue;
    }

    /**
     * @param inNominalValue the inNominalValue to set
     */
    public void setInNominalValue(double inNominalValue) {
        this.inNominalValue = inNominalValue;
    }

    /**
     * @return the inNoOfShares
     */
    public long getInNoOfShares() {
        return inNoOfShares;
    }

    /**
     * @param inNoOfShares the inNoOfShares to set
     */
    public void setInNoOfShares(long  inNoOfShares) {
        this.inNoOfShares = inNoOfShares;
    }

    /**
     * @return the inCompanyName
     */
    public String getInCompanyName() {
        return inCompanyName;
    }

    /**
     * @param inCompanyName the inCompanyName to set
     */
    public void setInCompanyName(String inCompanyName) {
        this.inCompanyName = inCompanyName;
    }

    /**
     * @return the inFiscalCode
     */
    public String getInFiscalCode() {
        return inFiscalCode;
    }

    /**
     * @param inFiscalCode the inFiscalCode to set
     */
    public void setInFiscalCode(String inFiscalCode) {
        this.inFiscalCode = inFiscalCode;
    }

    /**
     * @return the inRegistryCode
     */
    public String getInRegistryCode() {
        return inRegistryCode;
    }

    /**
     * @param inRegistryCode the inRegistryCode to set
     */
    public void setInRegistryCode(String inRegistryCode) {
        this.inRegistryCode = inRegistryCode;
    }

    /**
     * @return the inAddressDetail
     */
    public String getInAddressDetail() {
        return inAddressDetail;
    }

    /**
     * @param inAddressDetail the inAddressDetail to set
     */
    public void setInAddressDetail(String inAddressDetail) {
        this.inAddressDetail = inAddressDetail;
    }

    /**
     * @return the inLocality
     */
    public String getInLocality() {
        return inLocality;
    }

    /**
     * @param inLocality the inLocality to set
     */
    public void setInLocality(String inLocality) {
        this.inLocality = inLocality;
    }

    /**
     * @return the inDistrict
     */
    public String getInDistrict() {
        return inDistrict;
    }

    /**
     * @param inDistrict the inDistrict to set
     */
    public void setInDistrict(String inDistrict) {
        this.inDistrict = inDistrict;
    }

    /**
     * @return the inCountry
     */
    public String getInCountry() {
        return inCountry;
    }

    /**
     * @param inCountry the inCountry to set
     */
    public void setInCountry(String inCountry) {
        this.inCountry = inCountry;
    }

    /**
     * @return the inPhone
     */
    public String getInPhone() {
        return inPhone;
    }

    /**
     * @param inPhone the inPhone to set
     */
    public void setInPhone(String inPhone) {
        this.inPhone = inPhone;
    }

    /**
     * @return the inFax
     */
    public String getInFax() {
        return inFax;
    }

    /**
     * @param inFax the inFax to set
     */
    public void setInFax(String inFax) {
        this.inFax = inFax;
    }

    /**
     * @return the inWeb
     */
    public String getInWeb() {
        return inWeb;
    }

    /**
     * @param inWeb the inWeb to set
     */
    public void setInWeb(String inWeb) {
        this.inWeb = inWeb;
    }

    /**
     * @return the inEmail
     */
    public String getInEmail() {
        return inEmail;
    }

    /**
     * @param inEmail the inEmail to set
     */
    public void setInEmail(String inEmail) {
        this.inEmail = inEmail;
    }

    /**
     * @return the inPresident
     */
    public String getInPresident() {
        return inPresident;
    }

    /**
     * @param inPresident the inPresident to set
     */
    public void setInPresident(String inPresident) {
        this.inPresident = inPresident;
    }

    /**
     * @return the inCaen
     */
    public String getInCaen() {
        return inCaen;
    }

    /**
     * @param inCaen the inCaen to set
     */
    public void setInCaen(String inCaen) {
        this.inCaen = inCaen;
    }

    /**
     * @return the inCaenDescription
     */
    public String getInCaenDescription() {
        return inCaenDescription;
    }

    /**
     * @param inCaenDescription the inCaenDescription to set
     */
    public void setInCaenDescription(String inCaenDescription) {
        this.inCaenDescription = inCaenDescription;
    }

    /**
     * @return the inCaenRev2
     */
    public String getInCaenRev2() {
        return inCaenRev2;
    }

    /**
     * @param inCaenRev2 the inCaenRev2 to set
     */
    public void setInCaenRev2(String inCaenRev2) {
        this.inCaenRev2 = inCaenRev2;
    }

    /**
     * @return the inCaenRev2Description
     */
    public String getInCaenRev2Description() {
        return inCaenRev2Description;
    }

    /**
     * @param inCaenRev2Description the inCaenRev2Description to set
     */
    public void setInCaenRev2Description(String inCaenRev2Description) {
        this.inCaenRev2Description = inCaenRev2Description;
    }

    /**
     * @return the inSegment
     */
    public String getInSegment() {
        return inSegment;
    }

    /**
     * @param inSegment the inSegment to set
     */
    public void setInSegment(String inSegment) {
        this.inSegment = inSegment;
    }

    /**
     * @return the inTier
     */
    public String getInTier() {
        return inTier;
    }

    /**
     * @param inTier the inTier to set
     */
    public void setInTier(String inTier) {
        this.inTier = inTier;
    }

    /**
     * @return the inStatus
     */
    public String getInStatus() {
        return inStatus;
    }

    /**
     * @param inStatus the inStatus to set
     */
    public void setInStatus(String inStatus) {
        this.inStatus = inStatus;
    }
}
