/**
 * Title:       Order sender with reply mechanism for TUI, within ASETS project (ASE Trading System)
 * ClassName:   TUIOrderSenderWithReply.java
 * Created:     November 30, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Order sender with reply by extending OrderSenderWithReply class
 */

package asets.testapi;

import asets.api.*;
import javax.jms.*;


public class TUIOrderSenderWithReply extends OrderSenderWithReply
{
    public TUIOrderSenderWithReply(String imqAddress, String requestQueueName,
            String replyQueueName, String userID) throws JMSException, Exception
    {
        super(imqAddress, requestQueueName, replyQueueName, userID);
    }
}
